MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023277Community[OCCT] OCCT:Foundation Classespublic2012-07-13 17:362012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023277: Buffer underflow using memset in osd_path.cxx
Description_MAX_DRIVE variable is used for array having greater lengths (_MAX_DIR, _MAX_DIR, _MAX_FNAME, _MAX_EXT).

Probably a copy-paste bug.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020968)
Pawel (developer)
2012-07-13 17:41

Corresponding git branch pushed. Please review.
(0020995)
abv (manager)
2012-07-16 18:42

No remarks, please test
(0021058)
mkv (tester)
2012-07-19 11:23

Dear BugMaster,
The workbenches
KAS:dev:mkv-23277-occt (GIT branch CR23277)
KAS:dev:mkv-23277-products (GIT master)
were compiled on Linux platform and tested.

Regression:
msh 005 N5
Dear pdn, could you please validate result of this test case.

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23277-products_17072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0021092)
dbv (developer)
2012-07-20 18:20
edited on: 2012-07-23 11:30

Dear mkv,

I tested this case on zex station (Mandriva 2010) and did not get regression. Could you repeat the test.

(0021122)
apn (administrator)
2012-07-23 16:30

I also tested this case on alex station (Mandriva 2010).
Test case msh 005 N5 is "Bad but differ", problem with CHRONO is unstable.
That's why there are not regressions.

- Related Changesets
occt: master d015d218
Timestamp: 2012-07-13 13:40:22
Author: Pawel
Details ] Diff ]
0023277: Buffer underflow using memset in osd_path.cxx

The parameter used in memset matches the buffer size.
mod - src/OSD/OSD_Path.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-13 17:36 Pawel New Issue
2012-07-13 17:36 Pawel Assigned To => Pawel
2012-07-13 17:41 Pawel Note Added: 0020968
2012-07-13 17:41 Pawel Assigned To Pawel => bugmaster
2012-07-13 17:41 Pawel Status new => resolved
2012-07-16 18:42 abv Note Added: 0020995
2012-07-16 18:42 abv Status resolved => reviewed
2012-07-16 19:29 mkv Assigned To bugmaster => mkv
2012-07-19 11:23 mkv Note Added: 0021058
2012-07-19 11:24 mkv Test case number => Not needed
2012-07-19 11:24 mkv Assigned To mkv => pdn
2012-07-19 11:24 mkv Status reviewed => feedback
2012-07-20 18:20 dbv Note Added: 0021092
2012-07-20 18:20 dbv Assigned To pdn => mkv
2012-07-20 18:20 dbv Status feedback => reviewed
2012-07-20 21:09 dbv Assigned To mkv => apn
2012-07-23 11:30 dbv Note Edited: 0021092 View Revisions
2012-07-23 16:30 apn Note Added: 0021122
2012-07-23 16:31 apn Assigned To apn => bugmaster
2012-07-23 16:31 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master d015d218
2012-07-30 16:34 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:34 Pawel Status tested => verified
2012-07-30 16:34 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker